package com.management.platform.controller;
import	java.lang.ref.Reference;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.management.platform.constant.Constant;
import com.management.platform.entity.Screenshot;
import com.management.platform.entity.vo.ScreenshotVO;
import com.management.platform.mapper.ScreenshotMapper;
import com.management.platform.service.ScreenshotService;
import com.management.platform.util.AuthService;
import com.management.platform.util.CheckPicUtil;
import com.management.platform.util.HttpRespMsg;
import com.management.platform.util.RedisUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * Author: 吴涛涛
 * Date : 2020 - 01 - 03 9:38
 * Description:<描述>
 * Version: 1.0
 */
@RestController
@RequestMapping("/imageProcessing")
public class ImageProcessingController {

    @Resource
    private ScreenshotService screenshotService;

    /**
     * 参数：uid 用户id
     * indate 截图时间 如 "2018-08-01 22:32:57"
     * file 上传的图片文件
     */
    @RequestMapping("/saveAndProcessImage")
    public HttpRespMsg pictureDetectionTask(ScreenshotVO screenshotvo, String processList) {
        System.out.println(processList);
        return screenshotService.saveAndProcessImage(screenshotvo);
    }

}
