package com.management.platform.service;

import com.management.platform.entity.Report;
import com.baomidou.mybatisplus.extension.service.IService;
import com.management.platform.util.HttpRespMsg;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-12-31
 */
public interface ReportService extends IService<Report> {
    HttpRespMsg getReportList(Integer pageIndex, Integer pageSize, Integer creatorId, Integer projectId,
                              String startDate, String endDate);

    HttpRespMsg editReport(Report report);

    HttpRespMsg deleteReport(Integer reportId);
}
