package com.management.platform.test;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.management.platform.constant.Constant;
import com.management.platform.entity.PicContentKeywords;
import com.management.platform.mapper.PicContentKeywordsMapper;
import com.management.platform.util.AuthService;
import com.management.platform.util.RedisUtil;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;
import java.util.Set;

@RunWith(SpringRunner.class)
@SpringBootTest
public class TestApplicationTests {
    @Resource
    private RedisUtil redisUtil;
    @Value(value = "${upload.path}")
    private String  path;
    @Resource
    private PicContentKeywordsMapper picContentKeywordsMapper;
    @Test
    public void contextLoads() {
//        //初始化redis关键词
        redisUtil.deleteKey("keyWords");
        List<PicContentKeywords> picContentKeywords = picContentKeywordsMapper.selectList(null);
        for (PicContentKeywords  keyWord : picContentKeywords) {
            redisUtil.sSetJsonString("keyWords",keyWord);
        }

        Set<Object> keyWords = redisUtil.members("keyWords");
        System.out.println(keyWords.toString());
//        for (Object keyWord : keyWords) {
//            JSONObject jsonMember = JSON.parseObject((String)keyWord);
//            System.out.println(jsonMember.getString("content"));
//
//        }


//        Map<String,Object> map = AuthService.getAuth(Constant.API_KEY, Constant.SECRET_KEY);
//        String accessToken = (String)map.get("access_token");
//        Long expiresTimeOut = (Long)map.get("expires_in");
//        System.out.println("accessToken:==="+accessToken);
//        System.out.println("expiresTimeOut:==="+expiresTimeOut);
//        redisUtil.setKeyWithExpireTime("accessToken",accessToken,expiresTimeOut);
////        redisUtil.setString("wtt","aaa");
//        System.out.println(redisUtil.getKey("accessToken"));

//        for (String keyWord : Constant.keyWords) {
//            redisUtil.sSet("keyWords",keyWord);
//        }
//        System.out.println(redisUtil.members("keyWords").toString());
    }

}